org.red5.server.service

## Class ServiceNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.red5.server.service.ServiceNotFoundException

All Implemented Interfaces:
  Serializable

    public class ServiceNotFoundException
    extends RuntimeException

Thrown when service can't be found thus remote call throws an exception

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ServiceNotFoundException(String serviceName)` Creates new exception with service name

### Method Summary

Methods
`String` `getServiceName()` Get the name of the service that doesn't exist.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServiceNotFoundException

    public ServiceNotFoundException(String serviceName)

Creates new exception with service name

Parameters:
  `serviceName` - Name of service that couldn't been found

### Method Detail

#### getServiceName

    public String getServiceName()

Get the name of the service that doesn't exist.

Returns:
  name of the service